using System;
using PSO2SERVER.Models;
using PSO2SERVER.Protocol.Packets;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x1F, 0x01)]
    public class TakenOrdersRequest : PacketHandler
    {
        public struct TakenOrdersRequestPacket
        {
            public uint unk1;
            public uint unk2;
            public uint unk3;
            public uint unk4;
        }

        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            var info = string.Format("[<--] 接收到的数据 (hex): {0} 字节", data.Length);
            Logger.WriteHex(info, data);

            var reader = new PacketReader(data, position, size);
            var packet = reader.ReadStruct<TakenOrdersRequestPacket>();

            Logger.Write($"unk1 = {packet.unk1},unk2 = {packet.unk2},unk3 = {packet.unk3},unk4 = {packet.unk4}");
        }
    }
}
